declare @item varchar(30)
set @item = '1027585'

select distinct
	'ILE' as [MeasureGroup]
	, part.[Partition]
from
	[Shoeby Logistiek$Item Ledger Entry] ile
join
	[anaPartitions] part on
		ile.[Entry No_] between part.[Entry No_] and part.[Entry No_2]
		and part.[MeasureGroup] = 'ILE'
where
	ile.[Item No_] = @item
union all	
select distinct
	'VE'
	, part.[Partition]
from
	[Shoeby Logistiek$Value Entry] ile
join
	[anaPartitions] part on
		ile.[Entry No_] between part.[Entry No_] and part.[Entry No_2]
		and part.[MeasureGroup] = 'VE'
where
	ile.[Item No_] = @item
