if not exists (select * from sysobjects where [name] like 'anaSettings')
begin
	CREATE TABLE [dbo].[anaSettings]
	(
		[Name] [varchar](200) NOT NULL,
		[Setting] [varchar](max) NULL,
		
		CONSTRAINT [PK_anaSettings] PRIMARY KEY CLUSTERED 
		(
			[Name] ASC
		)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) 
	)
end

if not exists (select Setting from [anaSettings] where [Name] = 'SPC')
	insert [anaSettings] values ('SPC', '1')
if not exists (select Setting from [anaSettings] where [Name] = 'Overige')
	insert [anaSettings] values ('Overige', '(Overige)')
if not exists (select Setting from [anaSettings] where [Name] = 'Picture2')
	insert [anaSettings] values ('Picture2', ''''''''' /*(select top 1 isnull(rip.[File Name], ''''(Overige)'''') from [All$RetItem Picture] rip where rip.[Item No_] = iv.[Item No_] and rip.[Vertical Component Code] = iv.[ACAVertical Component] and rip.[Default Report] = 1 OR rip.[Item No_] = iv.[Item No_] and rip.[Vertical Component Code] = '''''''' and rip.[Default Report] = 1)*/')
if not exists (select Setting from [anaSettings] where [Name] = 'Picture Url2')
	insert [anaSettings] values ('Picture Url2', ''''''''' /*(select top 1 ''''http:'''' + REPLACE(REPLACE(rip.[File Name], ''''[mapping-path]'''', ''''//[server]/foto/''''), ''''\'''', ''''/'''') from [All$RetItem Picture] rip where rip.[Item No_] = iv.[Item No_] and rip.[Vertical Component Code] = iv.[ACAVertical Component] and rip.[Default Report] = 1 OR rip.[Item No_] = iv.[Item No_] and rip.[Vertical Component Code] = '''''''' and rip.[Default Report] = 1)*/')
if not exists (select Setting from [anaSettings] where [Name] = 'RetItem Picture')
	insert [anaSettings] values ('RetItem Picture', '--LEFT OUTER JOIN [All$RetItem Picture] AS rip ON i.No_ = rip.[Item No_] AND rip.[Default Report] = 1')
if not exists (select Setting from [anaSettings] where [Name] = 'PartitionRange')	
	insert [anaSettings] values ('PartitionRange', '5000000')
if not exists (select Setting from [anaSettings] where [Name] = 'BTW VE')	
	insert [anaSettings] values ('BTW VE', 'when ''BE'' then 1.21 else case when ve.[Posting Date] < ''2012-10-01'' then 1.19 else 1.21 end end ')
if not exists (select Setting from [anaSettings] where [Name] = 'Economic Price')	
	insert [anaSettings] values ('Economic Price', '0')	
if not exists (select Setting from [anaSettings] where [Name] = 'List Price')	
	insert [anaSettings] values ('List Price', '1')
if not exists (select Setting from [anaSettings] where [Name] = 'fact Posting Date')	
	insert [anaSettings] values ('fact Posting Date', 'ile.[Posting Date]')		
if not exists (select Setting from [anaSettings] where [Name] = 'Retailprice')	
	insert [anaSettings] values ('Retailprice', 'retailprice.[Grouping] = 1 and retailprice.[Classification Code] = ''''WINKELPRYS'''' and retailprice.[Locationgroup Code] = ''''NLD''''')
if not exists (select Setting from [anaSettings] where [Name] = 'Promotionprice')	
	insert [anaSettings] values ('Promotionprice', 'promotionprice.[Grouping] = 1 and promotionprice.[Classification Code] = ''''WINKELPRYS'''' and promotionprice.[Locationgroup Code] = ''''NLD''''')
if not exists (select Setting from [anaSettings] where [Name] = 'Franchiseprice')	
	insert [anaSettings] values ('Franchiseprice', 'franchiseprice.[Grouping] = 1 and franchiseprice.[Classification Code] = ''''WINKELPRYS'''' and franchiseprice.[Locationgroup Code] = ''''NLD''''')
if not exists (select Setting from [anaSettings] where [Name] = 'getdate')	
	insert [anaSettings] values ('getdate', 'getdate()')
if not exists (select Setting from [anaSettings] where [Name] = 'Merchandiseplan')	
	insert [anaSettings] values ('Merchandiseplan', '0')
if not exists (select Setting from [anaSettings] where [Name] = 'Merchandiseplan VV')	
	insert [anaSettings] values ('Merchandiseplan VV', '0')
if not exists (select Setting from [anaSettings] where [Name] = 'Attributes Table')	
	insert [anaSettings] values ('Attributes Table', '')
if not exists (select Setting from [anaSettings] where [Name] = 'Attributes Select')	
	insert [anaSettings] values ('Attributes Select', '')
if not exists (select Setting from [anaSettings] where [Name] = 'Attributes From')	
	insert [anaSettings] values ('Attributes From', '')
if not exists (select Setting from [anaSettings] where [Name] = 'DATA_COMPRESSION')	
begin
	if (select serverproperty('EngineEdition')) = '3'
		insert [anaSettings] values ('DATA_COMPRESSION', ', DATA_COMPRESSION = PAGE')
	else
		insert [anaSettings] values ('DATA_COMPRESSION', ', DATA_COMPRESSION = NONE')
end
if not exists (select Setting from [anaSettings] where [Name] = 'PosTrans')	
	insert [anaSettings] values ('PosTrans', 'POSTRANS')
if not exists (select Setting from [anaSettings] where [Name] = 'Submaat Sort')	
	insert [anaSettings] values ('Submaat Sort', '1')
if not exists (select Setting from [anaSettings] where [Name] = 'RE Indexen')
	insert [anaSettings] values ('RE Indexen', '1')