select
	lts.[lts Quantity]
	, lts.[lts Cost Amount]
	, ve.[ve Cost Amount]
	, ve.[ve Cost Amount] - lts.[lts Cost Amount] as [Difference]
	
from
(
	select
		sum(lts.[quantity]) as [lts Quantity]
		, sum(lts.[Cost Amount (Actual)]) + sum(lts.[Cost Amount (Expected)]) as [lts Cost Amount]
	from
		[ana$All$LTS Snapshot] lts
) lts

cross join

(
	select
		sum(ve.[Cost Amount (Actual)]) + sum(ve.[Cost Amount (Expected)]) as [ve Cost Amount]
	from
		[All$Value Entry] AS ve
	LEFT OUTER JOIN
		[All$Item Ledger Entry] AS ile ON 
			ve.[Item Ledger Entry No_] = ile.[Entry No_]
	join
		[All$RetInterface Setup] ltd on
			--ve.[Posting Date] <= ltd.[Ref_ Date Age Comp_ RI]
			ile.[Posting Date] <= ltd.[Ref_ Date Age Comp_ RI]
) ve
