declare @name varchar(max), @table_name varchar(max), @query varchar(max)
declare cur_idx cursor for 
select [name], object_name(object_id) as table_name from sys.indexes where name like '_ri_lts_index%' or name like '_ri_index%'

open cur_idx

fetch next from cur_idx into @name, @table_name
while @@fetch_status = 0
begin
	set @query = 'drop index [' + rtrim(@name) + '] on [' + @table_name + ']'
	print @query
	exec(@query)
	fetch next from cur_idx into @name, @table_name
end

close cur_idx
deallocate cur_idx

